"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = fibonacciSum;

/**
 * Original Source: https://stackoverflow.com/a/31388603
 *
 * Function that returns the sum of a fib series
 *
 * @param  {Number} num - A number
 * @return {Number}     - sum of the numbers
 */

function fibonacciSum(num) {
  if (num <= 0) {
    return 0;
  }
  var fib = [];
  fib[0] = 0;
  fib[1] = 1;
  var sum = fib[0] + fib[1];
  // remaining numbers
  for (var i = 2; i <= num; i++) {
    fib[i] = fib[i - 1] + fib[i - 2];
    sum += fib[i];
  }
  return sum;
}