"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getOrdinalSuffix;

/**
 * Original source: https://stackoverflow.com/questions/13627308/add-st-nd-rd-and-th-ordinal-suffix-to-a-number
 * Adds ordinal suffix (st, nd, rd and th) to a number
 * @param {Number} num - number
 * @return {String} String representation of the number with the ordinal suffix
*/

function getOrdinalSuffix(i) {
  var j = i % 10;
  var k = i % 100;
  if (j === 1 && k !== 11) {
    return i + "st";
  }
  if (j === 2 && k !== 12) {
    return i + "nd";
  }
  if (j === 3 && k !== 13) {
    return i + "rd";
  }
  return i + "th";
}