"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mode;

/**
 * Original Source: https://stackoverflow.com/a/1053865
 *
 * This method will return the element with the highest occurrence in an array.
 *
 * @param {Array} array - The array
 * @return {*} - The element which has the highest occurrence
 */

function mode(array) {
  if (array.length === 0) {
    return null;
  }
  var modeMap = {};
  var maxEl = array[0];
  var maxCount = 1;
  for (var i = 0; i < array.length; i++) {
    var el = array[i];
    if (modeMap[el] === undefined) {
      modeMap[el] = 1;
    } else {
      modeMap[el]++;
    }
    if (modeMap[el] > maxCount) {
      maxEl = el;
      maxCount = modeMap[el];
    }
  }
  return maxEl;
}