'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = objectValuesToString;

/**
 * Original Source: http://stackoverflow.com/a/31017540
 *
 * This method will take an object in parameter and return a
 * comma-separated String composed of all its properties' values
 *
 * @param  {Object} obj - The object from which the values are taken
 * @return {String} A comma-separated String that contains all the object values
 */

function objectValuesToString(obj) {
  if (!obj) {
    return '';
  } else if ((typeof obj === 'undefined' ? 'undefined' : _typeof(obj)) !== 'object' || obj instanceof Date) {
    return '';
  }

  return Object.keys(obj).map(function (key) {
    return obj[key];
  }).filter(function (val) {
    return val || val === 0 || val === '0' || val === false;
  }).join(', ');
}