'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Original Source: https://stackoverflow.com/questions/4009756/how-to-count-string-occurrence-in-string
 *
 * Function that count occurrences of a substring in a string
 *
 * @param {String} string               The string
 * @param {String} subString            The sub string to search for
 * @param {Boolean} [allowOverlapping]  Optional. (Default:false)
 */

function occurrences(string, subString, allowOverlapping) {
  string += '';
  subString += '';
  if (subString.length <= 0) {
    return string.length + 1;
  }

  var n = 0;
  var pos = 0;
  var step = allowOverlapping ? 1 : subString.length;
  var flag = true;

  while (flag) {
    pos = string.indexOf(subString, pos);
    if (pos >= 0) {
      ++n;
      pos += step;
    } else {
      flag = false;
    }
  }
  return n;
}

exports.default = occurrences;